package aalg.crypto;

public class Blowfish implements IBlockCipher {

	public static final int DATA_LENGTH = 8;
	public static final int KEY_SIZE = 56;
	
	@Override
	public int getBlockLength() {
		
		return DATA_LENGTH;
	}

	@Override
	public int getKeySize() {
		
		return KEY_SIZE;
	}

	@Override
	public IBlockCipherTransformation getEncryptor() {
		
		return new BlowfishEncryptor(this);
	}

	@Override
	public IBlockCipherTransformation getDecryptor() {

		return new BlowfishDecryptor(this);
	}

}
